List a workflow run's jobs
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs/{run_id}/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs/{run_id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs/{run_id}/jobs \
--header 'Authorization: Bearer <token>'{
"jobs": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"conclusion": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"html_url": "<string>",
"steps": [
{
"name": "<string>",
"number": "<string>",
"status": "<string>",
"conclusion": "<string>"
}
]
}
],
"total": 123
}Applications
List a workflow run's jobs
The jobs of one GitHub Actions workflow run of the application’s repository, with their steps.
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
workflow-runs
/
{run_id}
/
jobs
List a workflow run's jobs
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs/{run_id}/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs/{run_id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/workflow-runs/{run_id}/jobs \
--header 'Authorization: Bearer <token>'{
"jobs": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"conclusion": "<string>",
"started_at": "<string>",
"completed_at": "<string>",
"html_url": "<string>",
"steps": [
{
"name": "<string>",
"number": "<string>",
"status": "<string>",
"conclusion": "<string>"
}
]
}
],
"total": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The application's id.
The GitHub workflow run id.